%global weedver 1.2.0
%global weedrel 1

Name:           lives
Version:        1.1.5
Release:        1%{?dist}
Summary:        Video Editing System

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://lives.sourceforge.net
Source0:        http://www.xs4all.nl/%7Esalsaman/lives/current/LiVES-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake, autoconf, gettext-devel, libtool
BuildRequires:  gtk2-devel, libraw1394-devel
BuildRequires:  mplayer, ImageMagick, perl-devel, libjpeg-devel
BuildRequires:  gdk-pixbuf-devel, sox-devel, python-devel
BuildRequires:  SDL-devel, mencoder, libmpeg3-utils
BuildRequires:  libtheora-devel, xmms, cdda2wav
BuildRequires:  jack-audio-connection-kit-devel
Requires:       mplayer, mencoder, ImageMagick, sox, xmms, cdda2wav, ffmpeg
Requires:       libweed >= %{weedver}-%{weedrel}
Obsoletes:      LiVES <= 1.0.0

%description

LiVES began in 2002 as the Linux Video Editing System. Since it now runs on
more operating systems: LiVES is a Video Editing System.  It is designed to
be simple to use, yet powerful.  It is small in size, yet it has many
advanced features.

LiVES mixes realtime video performance and non-linear editing in one
professional quality application.  It will let you start editing and making
video right away, without having to worry about formats, frame sizes, or
framerates.  It is a very flexible tool which is used by both professional
VJ's and video editors - mix and switch clips from the keyboard, use dozens
of realtime effects, trim and edit your clips in the clip editor, and bring
them together using the multitrack timeline.  You can even record your
performance in real time, and then edit it further or render it straight
away.


%package -n libweed
Summary:        Weed Video/Audio Processing Library
Version:        %{weedver}
Release:        %{weedrel}
Group:          System Environment/Libraries
License:        GPLv3

%description -n libweed
Weed is an object system developed for video/audio processing. Weed
currently has modules for video/audio effects (weed-effects), and for
timeline style events (weed-events).


%package -n libweed-devel
Summary:        Development Environment for Weed Video/Audio Processing Library
Version:        %{weedver}
Release:        %{weedrel}
Group:          Development/Libraries
License:        GPLv3

Requires:       libweed >= %{weedver}-%{weedrel}

%description -n libweed-devel
This package contains the development environment for the Weed
video/audio processing library.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# replace symlink targeting to buildroot
ln -sf lives-exe $RPM_BUILD_ROOT%{_bindir}/lives
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a $RPM_BUILD_ROOT%{_libdir}/*.la
# find lang
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -n libweed -p /sbin/ldconfig
%postun -n libweed -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
#%doc docs/* RFX weed-docs/*
#%doc AUTHORS BUGS COPYING ChangeLog FEATURES GETTING.STARTED NEWS README
%doc %{_datadir}/doc/lives-*/*
%{_bindir}/*
%{_libdir}/lives
%{_datadir}/applications/LiVES.desktop
%{_datadir}/lives
%{_datadir}/pixmaps/lives.xpm

%files -n libweed
%defattr(-,root,root,-)
%{_libdir}/*.so*

%files -n libweed-devel
%defattr(-,root,root,-)
%doc weed-docs/*.txt
%{_includedir}/weed


%changelog
